# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-metar
%define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")

Summary: Coded METAR weather reports parser for Python
Name: python-module-metar
Version: 1.3.0
Release: alt1_11
License: MIT
Group: Development/Python
URL: http://homepage.mac.com/wtpollard/Software/FileSharing4.html
# I don't think this source URL could get more complicated... and breaks mach
#Source: http://homepage.mac.com/WebObjects/FileSharing.woa/wa/metar-1.3.0.tar.gz.3.0.tar.gz?a=downloadFile&user=wtpollard&path=.Public/Downloads/metar-%{version}.tar.gz
Source: metar-%{version}.tar.gz
Patch0: metar-1.3.0-nobang.patch
BuildRequires: python-devel
BuildArch: noarch
Source44: import.info

%description
Python package that parses coded METAR weather reports.


%prep
%setup -q -n metar-%{version}
%patch0 -p1 -b .nobang


%build
%{__python} setup.py build


%install
%{__python} setup.py install --skip-build --root %{buildroot}


%files
%doc CHANGES README TODO
%{python_sitelibdir_noarch}/*


%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 1.3.0-alt1_11
- update to new release by fcimport

* Sun Dec 30 2012 Igor Vlasenko <viy@altlinux.ru> 1.3.0-alt1_10
- initial fc import

